Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallProtocol

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallProtocol

Enclosing class:
  TdApi

public static final class TdApi.CallProtocol extends TdApi.Object
Specifies the supported call protocols.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String[]`
`libraryVersions`
List of supported tgcalls versions.
`int`
`maxLayer`
The maximum supported API layer; use 92.
`int`
`minLayer`
The minimum supported API layer; use 65.
`boolean`
`udpP2p`
True, if UDP peer-to-peer connections are supported.
`boolean`
`udpReflector`
True, if connection through UDP reflectors is supported.

## Constructor Summary

Constructors
Constructor
Description
`CallProtocol()`
Specifies the supported call protocols.
`CallProtocol(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)`
Specifies the supported call protocols.
`CallProtocol(DataInput input)`
Specifies the supported call protocols.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### udpP2p

public boolean udpP2p
True, if UDP peer-to-peer connections are supported.

### udpReflector

public boolean udpReflector
True, if connection through UDP reflectors is supported.

### minLayer

public int minLayer
The minimum supported API layer; use 65.

### maxLayer

public int maxLayer
The maximum supported API layer; use 92.

### libraryVersions

public String[] libraryVersions
List of supported tgcalls versions.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CallProtocol

public CallProtocol()
Specifies the supported call protocols.

### CallProtocol

public CallProtocol(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)
Specifies the supported call protocols.

Parameters:
  `udpP2p` - True, if UDP peer-to-peer connections are supported.
  `udpReflector` - True, if connection through UDP reflectors is supported.
  `minLayer` - The minimum supported API layer; use 65.
  `maxLayer` - The maximum supported API layer; use 92.
  `libraryVersions` - List of supported tgcalls versions.

### CallProtocol

public CallProtocol(DataInput input) throws IOException
Specifies the supported call protocols.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`